db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew McIntyre (JIRA)" <j...@apache.org>
Subject [jira] Commented: (DERBY-1983) Change build system so that base level is JDK 1.4
Date Tue, 14 Nov 2006 21:13:38 GMT
    [ http://issues.apache.org/jira/browse/DERBY-1983?page=comments#action_12449787 ] 
            
Andrew McIntyre commented on DERBY-1983:
----------------------------------------

It is possible today to build with the 1.5 compiler and runtime classes and get a binary build
that continues to work on JDK 1.4. I've tested it and everything works as expected.

I did have to make one small change to get it to compile. In JDK 1.5, Xalan is no longer directly
accessible in the runtime classes. They've moved the org.apache.xpath classes into com.sun
for some reason, probably to promote the javax.xml.transform APIs (see http://java.sun.com/j2se/1.5.0/docs/guide/xml/jaxp/JAXP-Compatibility_150.html#xsltXpath)
. So, I had to grab my own copy of xalan.jar and serializer jar and include it in the compile
target in iapi/types in order to build the XML classes. Otherwise it's just a matter of replacing
the j14lib ant property to point to your 1.5 runtime classes, and then running Ant in your
1.5 VM. 

> Change build system so that base level is JDK 1.4
> -------------------------------------------------
>
>                 Key: DERBY-1983
>                 URL: http://issues.apache.org/jira/browse/DERBY-1983
>             Project: Derby
>          Issue Type: Sub-task
>          Components: Build tools
>            Reporter: Daniel John Debrunner
>


-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://issues.apache.org/jira/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message